Loading...
Searching...
No Matches
QXmppJingleMessageInitiationManager Class Reference

The QXmppJingleMessageInitiationManager class makes it possible to retrieve Jingle Message Initiation elements as defined by XEP-0353: Jingle Message Initiation. More...

Inheritance diagram for QXmppJingleMessageInitiationManager:
[legend]
Collaboration diagram for QXmppJingleMessageInitiationManager:
[legend]

## Public Types

using | ProposeResult = std::variant< std::shared_ptr< QXmppJingleMessageInitiation >, QXmppError >

## Public Member Functions

QXmppTask< ProposeResult > | propose (const QString &callPartnerJid, const QXmppJingleDescription &description)
Q_SIGNAL void | proposed (const std::shared_ptr< QXmppJingleMessageInitiation > &jmi, const QString &id, const std::optional< QXmppJingleDescription > &description)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)
| You need to implement this method to process incoming XMPP stanzas.
virtual bool | handleStanza (const QDomElement &stanza, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Public Member Functions inherited from QXmppMessageHandler
virtual bool | handleMessage (const QXmppMessage &)=0

## Friends

class | QXmppJingleMessageInitiationPrivate
class | tst_QXmppJingleMessageInitiationManager

## Additional Inherited Members

Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client () const
virtual void | setClient (QXmppClient *client)
virtual void | onRegistered (QXmppClient *client)
virtual void | onUnregistered (QXmppClient *client)
void | injectIq (const QDomElement &element, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
bool | injectMessage (QXmppMessage &&message)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppJingleMessageInitiationManager class makes it possible to retrieve Jingle Message Initiation elements as defined by XEP-0353: Jingle Message Initiation.

Since
  QXmpp 1.6

## Member Typedef Documentation

## ProposeResult

QXmppJingleMessageInitiationManager::ProposeResult

Contains JMI object or an error if sending the propose message failed.

## Member Function Documentation

## propose()

QXmppTask< QXmppJingleMessageInitiationManager::ProposeResult > QXmppJingleMessageInitiationManager::propose | ( | const QString & | callPartnerJid,
|  | const QXmppJingleDescription & | description
| ) |  |

Creates a proposal JMI element and passes it as a message.

## proposed()

QXmppJingleMessageInitiationManager::proposed | ( | const std::shared_ptr< QXmppJingleMessageInitiation > & | jmi,
|  | const QString & | id,
|  | const std::optional< QXmppJingleDescription > & | description
| ) |  |

Emitted when a call has been proposed.

Parameters

  jmi | Jingle Message Initiation object of proposed session
  id | JMI element id
  description | JMI element's description containing media type (i.e., audio, video)

The documentation for this class was generated from the following files:

- QXmppJingleMessageInitiationManager.h
- QXmppJingleMessageInitiationManager.cpp